<div class="row row-filter">

	<div class="col-sm">
		
		<div id="collapseExample" [ngbCollapse]="isCollapsed">
			<div class="card">
				<div class="card-body">
					<h5 class="card-title">Filtra i mercati</h5>
					<div class="form-group">
						<label for="namefilter">nome del marcatino</label>
						<input id="stall_name" 
								name="stall_name"
								#namefilter
								(keyup)="filterOnStallName(namefilter.value)"
								placeholder="name of the stall"
								class="form-control"/>
					</div>

					<div class="row">

						<div class="col-sm"> 
							<!-- <div ngbDropdown placement="top-right"class="d-inline-block float-right">
								<button class="btn btn-outline-primary" id="dropdownBasic1" ngbDropdownToggle>Dove?</button>
								<div ngbDropdownMenu aria-labelledby="dropdownBasic1">
									<button ngbDropdownItem>Pissignano</button>
									<button ngbDropdownItem>Ascoli Piceno</button>
									<button ngbDropdownItem>Macerata</button>
								</div>
							</div> -->
							
							<button type="button" class="btn btn-info btn-link" [ngClass]="{ 'active' : sortButtonValue == 1 }" (click)="sortUp()"> 
								<i class="fa fa-sort-numeric-asc fa-lg"></i>
							</button>
							
							<button type="button" class="btn btn-info btn-link" [ngClass]="{ 'active' : sortButtonValue == 2 }" (click)="sortDown()">
								<i class="fa fa-sort-numeric-desc fa-lg"></i>
							</button>

						</div>
					</div>
			  	</div>
			</div>
		</div>
	</div>

	<div class="col-sm-3">

		<button type="button" class="btn btn-primary btn-sm" (click)="isCollapsed = !isCollapsed"
			[attr.aria-expanded]="!isCollapsed" aria-controls="collapseExample">
			<i class="fa fa-search"></i>filtra
		</button>
	</div>
	
</div>

<div class="row">
	
	<div class="col-sm">
		<div class="card" style="width: 100%;" *ngFor="let element of data; index as i">
			
			<img *ngIf="element.path !== undefined; else elseBlock" class="card-img-top" [src]="env.assetUrl + element.path + element.extension" alt="{{element.description}}">
			<ng-template #elseBlock>
				<img class="card-img-top" [src]="placeholderImage" alt="else block">
			</ng-template>


			<div class="card-body">
				<h5 class="card-title">{{element.title}}</h5>
				
				<p>
					<i class="fa fa-calendar fa-2x"></i>
					from: {{element.start}} starts at {{ element.start_time }}
					to: {{element.end}} ends at {{ element.stop_time }}
				</p>
				
				<p class="card-text"><i class="fa fa-file-text fa-2x"></i>{{element.description}}</p>
				
				<p class="card-text">
					<i class="fa fa-location-arrow fa-2x"></i>
					{{element.city}}
					{{element.street_square}}
				</p>
			</div>
		</div>
	</div>


	<div class="col-sm-3">
		<!-- Placeholder to make space -->
	</div>

</div>